Observability
Read the next result page without repeating its source query.
Read the next result page without repeating its source query. The request is scoped to the authenticated RevoEngine instance and operation policy.
GET
/
api
/
v1
/
observability
/
pages
/
{cursor}
Read the next result page without repeating its source query.
curl --request GET \
--url https://api.revoengine.com/api/v1/observability/pages/{cursor} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/observability/pages/{cursor}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/pages/{cursor}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"parentNodeId": "<string>",
"edgeEvidence": "OBSERVED",
"nodeId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"parentExecutionId": "<string>",
"operationId": "<string>",
"kind": "<string>",
"service": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"actorId": "<string>",
"actorName": "<string>",
"actorKind": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"durationMs": 123,
"outcome": "SUCCESS",
"statusCode": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"componentId": "<string>",
"componentVersion": "<string>",
"logCount": 123,
"errorCount": 123,
"warningCount": 123,
"edgeKind": "<string>",
"retryParentId": "<string>",
"expandable": true,
"referenceId": "<string>",
"resourceType": "ENDPOINT",
"references": [
{
"type": "ENDPOINT",
"id": "<string>",
"name": "<string>",
"componentType": "<string>"
}
],
"evidenceSource": "DURABLE",
"retryParentNodeId": "<string>",
"relatedEdgeKind": "<string>",
"createdTime": "<string>",
"scheduledFor": "<string>",
"durableStatus": "<string>",
"attempt": 123
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}Last modified on October 5, 2026
⌘I
Read the next result page without repeating its source query.
curl --request GET \
--url https://api.revoengine.com/api/v1/observability/pages/{cursor} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/observability/pages/{cursor}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/pages/{cursor}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"parentNodeId": "<string>",
"edgeEvidence": "OBSERVED",
"nodeId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"parentExecutionId": "<string>",
"operationId": "<string>",
"kind": "<string>",
"service": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"actorId": "<string>",
"actorName": "<string>",
"actorKind": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"durationMs": 123,
"outcome": "SUCCESS",
"statusCode": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"componentId": "<string>",
"componentVersion": "<string>",
"logCount": 123,
"errorCount": 123,
"warningCount": 123,
"edgeKind": "<string>",
"retryParentId": "<string>",
"expandable": true,
"referenceId": "<string>",
"resourceType": "ENDPOINT",
"references": [
{
"type": "ENDPOINT",
"id": "<string>",
"name": "<string>",
"componentType": "<string>"
}
],
"evidenceSource": "DURABLE",
"retryParentNodeId": "<string>",
"relatedEdgeKind": "<string>",
"createdTime": "<string>",
"scheduledFor": "<string>",
"durableStatus": "<string>",
"attempt": 123
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}
